# DataExchange
TKSTEPBase
StepGeom

# StepGeom_Array1OfCurve Class Reference

`#include <StepGeom_Array1OfCurve.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepGeom_Array1OfCurve (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepGeom_Array1OfCurve (const Handle(StepGeom_Curve)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(StepGeom_Curve)&V)
Standard_EXPORT void | Destroy ()
| ~StepGeom_Array1OfCurve ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepGeom_Array1OfCurve & | Assign (const StepGeom_Array1OfCurve &Other)
const StepGeom_Array1OfCurve & | operator= (const StepGeom_Array1OfCurve &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepGeom_Curve)&Value)
const Handle_StepGeom_Curve & | Value (const Standard_Integer Index) const
const Handle_StepGeom_Curve & | operator() (const Standard_Integer Index) const
Handle_StepGeom_Curve & | ChangeValue (const Standard_Integer Index)
Handle_StepGeom_Curve & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | StepGeom_Array1OfCurve (const StepGeom_Array1OfCurve &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_Array1OfCurve::StepGeom_Array1OfCurve | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepGeom_Array1OfCurve::StepGeom_Array1OfCurve | ( | const Handle(StepGeom_Curve)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepGeom_Array1OfCurve::~StepGeom_Array1OfCurve | ( |  | ) | `[inline]`

Standard_EXPORT StepGeom_Array1OfCurve::StepGeom_Array1OfCurve | ( | const StepGeom_Array1OfCurve & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepGeom_Array1OfCurve& StepGeom_Array1OfCurve::Assign | ( | const StepGeom_Array1OfCurve & | Other | ) |

Handle_StepGeom_Curve& StepGeom_Array1OfCurve::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepGeom_Array1OfCurve::Destroy | ( |  | ) |

Standard_EXPORT void StepGeom_Array1OfCurve::Init | ( | const Handle(StepGeom_Curve)& | V | ) |

Standard_Boolean StepGeom_Array1OfCurve::IsAllocated | ( |  | ) | const

Standard_Integer StepGeom_Array1OfCurve::Length | ( |  | ) | const

Standard_Integer StepGeom_Array1OfCurve::Lower | ( |  | ) | const

void StepGeom_Array1OfCurve::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepGeom_Array1OfCurve::operator new | ( | size_t | size | ) | `[inline]`

void* StepGeom_Array1OfCurve::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_StepGeom_Curve& StepGeom_Array1OfCurve::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_StepGeom_Curve& StepGeom_Array1OfCurve::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepGeom_Array1OfCurve& StepGeom_Array1OfCurve::operator= | ( | const StepGeom_Array1OfCurve & | Other | ) | `[inline]`

void StepGeom_Array1OfCurve::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepGeom_Curve)& | Value
| ) |

Standard_Integer StepGeom_Array1OfCurve::Upper | ( |  | ) | const

const Handle_StepGeom_Curve& StepGeom_Array1OfCurve::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepGeom_Array1OfCurve::isAllocated`[private]`

Standard_Integer StepGeom_Array1OfCurve::myLowerBound`[private]`

Standard_Address StepGeom_Array1OfCurve::myStart`[private]`

Standard_Integer StepGeom_Array1OfCurve::myUpperBound`[private]`

The documentation for this class was generated from the following file:

- StepGeom_Array1OfCurve.hxx